Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001164Anope Development (1.9.x series)Otherpublic2010-05-21 22:182010-12-10 23:38
ReporterDjMadness 
Assigned ToAdam 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0001164: Ability to get staff privilidges from SQL
DescriptionI am currently working on creating a php class to handle anope's new MySQL system (i'll be posting it to the bug tracker once its good enough for use), but i seam to be hitting a dead end

For website integration with MySQL it is needed to have some way of checking the users permissions, i know anope does this internaly but to create the look and feel that would ease a users access its needed to have some way to read the information thats in the config file.

What i suggest is to read from the configuration file for all oper types, insert them into a table with each privilidge.
Another table should be created for each staff member that is in /os staff
it should basicly state nickname and the oper type.

this information should be updated apon start of anope and on /os reload/restart etc.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005680)
Adam (administrator)
2010-12-10 23:38

I have added this as a method in XMLRPC in 1.9.4 in commit 7d784340fe665f557e2f0800899b3b0127a6c818
(0005634)
Adam (administrator)
2010-09-29 00:42

Agreed. I have a plan for this as well as getting more useful information in realtime (for channels, users, etc). Should be fixed semi-soon, marking as acknowledged.

- Issue History
Date Modified Username Field Change
2010-05-21 22:18 DjMadness New Issue
2010-09-29 00:42 Adam Note Added: 0005634
2010-09-29 00:42 Adam Assigned To => Adam
2010-09-29 00:42 Adam Status new => acknowledged
2010-12-10 23:38 Adam Note Added: 0005680
2010-12-10 23:38 Adam Status acknowledged => resolved
2010-12-10 23:38 Adam Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker